Bug 44237 - [IDE] wrong size of 'Remove watch' button at Basic IDE.
Summary: [IDE] wrong size of 'Remove watch' button at Basic IDE.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.5.0 Beta2
Hardware: Other All
: medium normal
Assignee: Bence Tibor Tomcsik
QA Contact:
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillCpp, skillVcl, topicUI
Depends on:
Blocks:
 
Reported: 2011-12-28 11:35 UTC by Gustavo Pacheco
Modified: 2015-12-15 12:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong size of Remove watch button at Basic IDE. (45.22 KB, image/jpeg)
2011-12-28 11:35 UTC, Gustavo Pacheco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gustavo Pacheco 2011-12-28 11:35:05 UTC
Created attachment 54916 [details]
wrong size of Remove watch button at Basic IDE.

Wrong size of 'Remove watch' button at Basic IDE (or, in other hand, wrong distance between the button and the line below).

Please, see the image in attachment.

Tested on Windows (LibreOffice 3.5.0 Beta1) and Ubuntu Linux (LibreOffice 3.5.0 Beta2)

Thanks!
Gustavo Pacheco.
Comment 1 August Sodora 2012-01-05 12:26:58 UTC
So the relevant code for this is in basic/source/basicide/baside2b.cxx:1205

Look for where it calculates the position and size for aRemoveWatchButton. I've played around a little bit and it looks like either the space to include the button has to increase or the image on the button needs to be made smaller somehow. All my attempts to alter the image remind me why I'm a programmer. The referenced image is baswatr.bmp (there is some automagic that turns pngs into bmps so we're really looking for baswatr.png or something. I would just locate baswtr to find all the possible places this is themed).
Comment 2 Andras Timar 2012-02-13 14:31:29 UTC
Fixed by Bence Tomcsik on master and on libreoffice-3-5. (Target: LibreOffice 3.5.1)
Comment 3 Robinson Tryon (qubit) 2015-12-15 12:17:57 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp SkillVcl TopicUI)
[NinjaEdit]